%global srcname		socketIO-client
%global pypiname	socketIO_client

%global deps_py3	python3-requests python3-six python3-websocket-client
%global deps_tests_py3	python3-nose python3-coverage

%global deps_py2	python2-requests python2-six python2-websocket-client
%global deps_tests_py2	python2-nose python2-coverage

Name:		python-%{srcname}
Version:	0.7.2
Release:	1%{?dist}
Summary:	A socket.io client library for Python

License:	MIT
URL:		https://pypi.python.org/pypi/socketIO-client
Source0:	https://pypi.python.org/packages/source/s/socketIO-client/socketIO-client-%{version}.tar.gz

BuildArch:	noarch

%description
The socketIO-client is a Python client library for socket.io.

%package -n python3-%{srcname}
Summary:	A socket.io client library for Python
BuildRequires:	python3-devel
BuildRequires:	%deps_py3 %deps_tests_py3
Requires:	%deps_py3
Provides:	python3-%{pypiname} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-%{pypiname}}

%description -n python3-%{srcname}
The socketIO-client is a Python client library for socket.io.

This package contains the library for Python 3.

%package -n python2-%{srcname}
Summary:	A socket.io client library for Python
BuildRequires:	python2-devel
BuildRequires:	%deps_py2 %deps_tests_py2
Requires:	%deps_py2
Provides:	python2-%{pypiname} = %{version}-%{release}
%{?python_provide:%python_provide python2-%{srcname}}
%{?python_provide:%python_provide python2-%{pypiname}}

%description -n python2-%{srcname}
The socketIO-client is a Python client library for socket.io.

This package contains the library for Python 2.

%prep
%setup -q -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
# remove tests
for sitelib in %{python2_sitelib} %{python3_sitelib}; do
    rm -frv %{buildroot}${sitelib}/socketIO_client/tests
    sed -i '/^socketIO_client\/tests\//d' %{buildroot}${sitelib}/socketIO_client-*.egg-info/SOURCES.txt
done

%check
# temporarily disable tests, they seem to run indefinitely
#%__python2 setup.py check nosetests
#%__python3 setup.py check nosetests

# a smoketest instead
PYTHONPATH=%{buildroot}%{python2_sitelib} %__python2 -c 'import socketIO_client'
PYTHONPATH=%{buildroot}%{python3_sitelib} %__python3 -c 'import socketIO_client'


%files -n python3-%{srcname}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*

%files -n python2-%{srcname}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%changelog
* Tue Jul 17 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7.2-1
- Update to 0.7.2 (#1397826)
- Should work with new websocket-client (#1602160)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7.0-7
- Rebuilt for Python 3.7

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.7.0-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.7.0-2
- Rebuild for Python 3.6

* Sun Oct 23 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 0.7.0-1
- new upstream release (fix thread cleanup)

* Thu Jul 14 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 0.6.7-1
- new upstream release (fix error handling in threads)
- switch to distribution archive from PyPI

* Thu Jan 21 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 0.6.5-2
- rename the source RPM

* Thu Dec 31 2015 Jan Vcelak <jvcelak@fedoraproject.org> - 0.6.5-1
- initial package
